[options]
library = "GstRtsp"
version = "1.0"
min_cfg_version = "1.8"
work_mode = "normal"
concurrency = "send+sync"
generate_safety_asserts = true
single_version_file = true
doc_target_path = "docs/gstreamer-rtsp/docs.md"
generate_display_trait = false

external_libraries = [
    "GLib",
    "GObject",
    "Gio",
    "GstSdp"
]

generate = [
    "GstRtsp.RTSPAuthMethod",
    "GstRtsp.RTSPEvent",
    "GstRtsp.RTSPFamily",
    "GstRtsp.RTSPHeaderField",
    "GstRtsp.RTSPMsgType",
    "GstRtsp.RTSPRangeUnit",
    "GstRtsp.RTSPResult",
    "GstRtsp.RTSPState",
    "GstRtsp.RTSPStatusCode",
    "GstRtsp.RTSPTimeType",
]

manual = [
    "GLib.MainContext",
]

[[object]]
name = "GstRtsp.RTSPUrl"
status = "generate"
concurrency = "send"

    [[object.function]]
    name = "get_port"
    ignore = true

[[object]]
name = "GstRtsp.RTSPAuthParam"
status = "generate"
concurrency="send"
version = "1.12"

[[object]]
name = "Gst.ClockTime"
status = "manual"
conversion_type = "scalar"

[[object]]
name = "Gst.Caps"
status = "manual"
ref_mode = "ref"

[[object]]
name = "Gst.Structure"
status = "manual"
ref_mode = "ref-mut"

[[object]]
name = "GstRtsp.RTSPLowerTrans"
status = "generate"
    [[object.member]]
    name = "unknown"
    ignore = true

[[object]]
name = "GstRtsp.RTSPMethod"
status = "generate"
    [[object.member]]
    name = "invalid"
    ignore = true

[[object]]
name = "GstRtsp.RTSPProfile"
status = "generate"
    [[object.member]]
    name = "unknown"
    ignore = true

[[object]]
name = "GstRtsp.RTSPTransMode"
status = "generate"
    [[object.member]]
    name = "unknown"
    ignore = true
